<%@ taglib uri='/WEB-INF/templates/jsp/tld/template.tld' prefix='jetspeed' %>

<%@ page import = "org.apache.jetspeed.services.rundata.JetspeedRunData" %> 
<%@ page import = "org.apache.jetspeed.util.template.JetspeedTool" %> 

<% 
JetspeedRunData rundata = (JetspeedRunData) request.getAttribute("rundata"); 
String portlet = rundata.getRequest().getParameter("p");
if (portlet != null)
{
    JetspeedTool jt = new JetspeedTool(rundata);
%>
    <%=jt.getPortletFromRegistry(rundata)%>
<%
} 
else
{
%>
    <p><jetspeed:l10n key="PREVIEW_PORTLET_NAME_IS_MISS_JSP"/></p>
<%    
}
%>


